<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:p="http://primefaces.org/ui"
      xmlns:localization="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/localization"
      xmlns:utils="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/utils">


    <composite:interface>
    </composite:interface>
    <composite:implementation>
        <f:loadBundle
            basename="org.inra.ecoinfo.identification.jsf.changeProfile"
            var="changeProfil" />

        <h:outputStylesheet library="css"
                            name="org/inra/ecoinfo/identification/jsf-changeProfilePanel-styles.css" />

        <a4j:jsFunction name="renderButtonCreate"
                        execute="createNom, createPrenom, createEmail, createEmploi, createPoste, createLogin, createPassword, createPasswordBis"
                        limitRender="true" render="buttonCreate" />
        
        <div style="display:none">
            <rich:popupPanel id="popupCreateProfileConfirmation" autosized="true" styleClass="charte"
                         modal="true" moveable="true">
            <f:facet name="header">
                <h:outputText escape="false"
                              value="#{changeProfil.PARAM_MSG_ALERT_CONFIRM}" />
            </f:facet>
            <f:facet name="controls">
                <h:graphicImage name="close.png" library="images" styleClass="logout"
                                onclick="#{rich:component('popupCreateProfileConfirmation')}.hide(); return false;" />
            </f:facet>
            <h:form>
                <h:panelGroup layout="block" class="panelCharte">
                    <h:panelGroup styleClass="panelCharteContent">
                        <object data="./resources/manual/charte.pdf" type="application/pdf" height="600" width="100%">
                            alt : 
                            <utils:charte />
                        </object>
                    </h:panelGroup>
                    <h:panelGroup class="charteValidation">
                        <h:panelGroup layout="block" class="acceptCharte">
                            <h:outputText value="#{msg.PROPERTY_MSG_CONFIRM_CHARTER}" />
                            <h:selectBooleanCheckbox id="acceptCharter" styleClass="checkboxRead" 
                                                     value="#{uiCreateProfile.validateCharter}">
                                <f:ajax execute="acceptCharter" render="createAccountUser" event="change" />
                            </h:selectBooleanCheckbox>
                        </h:panelGroup>
                        <h:panelGroup layout="block" class="logoutButtons">
                            <a4j:commandButton id="createAccountUser"
                                               value="#{changeProfil.PARAM_MSG_CONFIRM}"
                                               disabled="#{not uiCreateProfile.validateCharter}"
                                               action="#{uiCreateProfile.updateUser}" execute="@this"
                                               status="statusWait"
                                               onbegin="#{rich:component('popupCreateProfileConfirmation')}.hide();" />

                            <a4j:commandButton value="#{changeProfil.PARAM_MSG_CANCEL}"
                                               oncomplete="#{rich:component('popupCreateProfileConfirmation')}.hide(); return false;"
                                               execute="@none" render="@none" limitRender="true" />
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>
            </h:form>
        </rich:popupPanel>
        </div>
        <h:form class="intro">
            <h:panelGroup id="profileForm" binding="#{uiCreateProfile.uiForm}">
                <h:messages></h:messages>
                <ui:debug rendered="true"
                          hotkey="y"  />
                <f:loadBundle
                    basename="org.inra.ecoinfo.identification.jsf.changeProfile"
                    var="changeProfil" />
                <div>
                    <f:loadBundle basename="org.inra.ecoinfo.identification.messages"
                                  var="msg" />
                    <p class="intro">#{msg.PROPERTY_MSG_CREATE_PROFIL_TEXT}</p>
                    <rich:panel header="#{msg.PROPERTY_MSG_IDENTIFICATION}"
                                styleClass="custom-rf-p profileForm">

                        <h:outputLabel value="#{msg.PROPERTY_MSG_MANDATORY_FIELDS}"
                                       styleClass="mandatory" />

                        <h:panelGrid columns="2">
                          



              

                            <h:outputLabel value="#{msg.PROPERTY_MSG_LOGIN}" for="createLogin"  styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createLogin" value="#{uiCreateProfile.login}"
                                             required="true" validatorMessage="#{msg.PROPERTY_MSG_BAD_LOGIN}"
                                             maxlength="100" size="60"
                                             validator="#{uiCreateProfile.validateLogin}"
                                             onblur="renderButtonCreate()"
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}">
                                    <f:validateRegex pattern="^[0-9a-zA-Z]*$" />
                                    <f:validateLength minimum="3" maximum="20" />
                                    <f:validateRequired />
                                    <rich:validator />
                                </h:inputText>
                                <a4j:outputPanel ajaxRendered="true" id="testLogin" layout="block">
                                    <rich:message id="createLoginError" showSummary="true"
                                                  showDetail="false" styleClass="message" for="createLogin" />
                                </a4j:outputPanel>
                            </h:panelGrid>

                            <h:outputLabel value="#{msg.PROPERTY_MSG_CREATE_PASSWORD}"
                                           for="createPassword"  styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputSecret id="createPassword"
                                               value="#{uiCreateProfile.password}"
                                               validator="#{uiCreateProfile.validatePassword}" maxlength="20"
                                               size="60" onblur="renderButtonCreate()"
       >
                                    <rich:validator />
                                </h:inputSecret>
                                <a4j:outputPanel ajaxRendered="true" layout="block">
                                    <rich:message id="createPasswordError" showSummary="true"
                                                  styleClass="message" showDetail="false" for="createPassword" />
                                </a4j:outputPanel>
                            </h:panelGrid>

                            <h:outputLabel value="#{msg.PROPERTY_MSG_CREATE_PASSWORD_BIS}"
                                           for="createPasswordBis"  styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputSecret id="createPasswordBis"
                                               value="#{uiCreateProfile.passwordBis}"
                                               validator="#{uiCreateProfile.validatePasswordBis}"
                                               maxlength="20" size="60" onblur="renderButtonCreate();"
                                               
                                               >
                                    <rich:validator />
                                </h:inputSecret>
                                <a4j:outputPanel ajaxRendered="true" layout="block">
                                    <rich:message id="createPasswordErrorBis" showSummary="true"
                                                  styleClass="message" showDetail="false" for="createPasswordBis" />
                                </a4j:outputPanel>
                            </h:panelGrid>
                                                        <h:outputLabel value="#{msg.PROPERTY_MSG_EMAIL}" for="createEmail"   styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createEmail" value="#{uiCreateProfile.email}"
                                             required="true" validatorMessage="#{msg.PROPERTY_MSG_BAD_EMAIL}"
                                             
                                             maxlength="100" size="60" 
                                             validator="#{uiCreateProfile.validateEmail}"
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}">
                                    <f:validateRegex
                                        pattern="^(([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+([;.](([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5}){1,25})+)*$" />
                                    <f:validateRequired />
                                    <rich:validator/>
                                </h:inputText>
                                <a4j:outputPanel ajaxRendered="true" id="testEmail" layout="block">
                                    <rich:message id="createEmailError" showSummary="true"
                                                  showDetail="false" styleClass="message" for="createEmail" />
                                </a4j:outputPanel>
                            </h:panelGrid>
                            
                            <h:outputLabel value="#Email check" for="checkEmail"
                                           styleClass="messageEmail mandatory" />
                            <h:inputText id="checkEmail" value="#{uiCreateProfile.checkBot}"
                                         styleClass="messageEmail" />
  <h:outputLabel value="#{msg.PROPERTY_MSG_NAME}" for="createNom" styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createNom" value="#{uiCreateProfile.nom}"
                                             required="true" validatorMessage="#{msg.PROPERTY_MSG_BAD_NAME}"
                                             maxlength="20" size="60" onblur="renderButtonCreate()"
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}">
                                    <f:validateLength minimum="2" maximum="20" />
                                    <f:validateRequired />
                                    <rich:validator />
                                </h:inputText>
                                <a4j:outputPanel ajaxRendered="true" id="testNom" layout="block">
                                    <rich:message id="createNomError" showSummary="true"
                                                  showDetail="false" styleClass="message" for="createNom" />
                                </a4j:outputPanel>
                            </h:panelGrid>

                            <h:outputLabel value="#{msg.PROPERTY_MSG_FIRST_NAME}"
                                           for="createPrenom"  styleClass="mandatory" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createPrenom" value="#{uiCreateProfile.prenom}"
                                             required="true"
                                             validatorMessage="#{msg.PROPERTY_MSG_BAD_FIRST_NAME}"
                                             maxlength="20" size="60" onblur="renderButtonCreate()"
                                             
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}">
                                    <f:validateLength minimum="2" maximum="20" />
                                    <f:validateRequired />
                                    <rich:validator />
                                </h:inputText>
                                <a4j:outputPanel ajaxRendered="true" id="testPrenom" layout="block">
                                    <rich:message id="createPrenomError" showSummary="true"
                                                  showDetail="false" styleClass="message" for="createPrenom" />
                                </a4j:outputPanel>
                            </h:panelGrid>
              <h:outputLabel value="#{msg.PROPERTY_MSG_JOB}" for="createEmploi" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createEmploi" value="#{uiCreateProfile.emploi}"
                                             maxlength="20" size="60" onblur="renderButtonCreate()"
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}">
                                </h:inputText>
                            </h:panelGrid>

                            <h:outputLabel value="#{msg.PROPERTY_MSG_POSTE}" for="createPoste" />
                            <h:panelGrid columns="2">
                                <h:inputText id="createPoste" value="#{uiCreateProfile.poste}"
                                             maxlength="20" size="60" onblur="renderButtonCreate()"
                                             alt="#{msg.PROPERTY_MSG_EMPTY_STRING}" />
                            </h:panelGrid>
                        </h:panelGrid>
                        <h:panelGrid columns="2" styleClass="footer">

                            <a4j:commandButton id="buttonCreate" execute="profileForm"
                                               render="@none" disabled="#{not uiCreateProfile.isButtonValid}"
                                               value="#{msg.PROPERTY_MSG_CHANGE_PROFIL_ADD}"
                                               onclick="#{rich:component('popupCreateProfileConfirmation')}.show()">
                            </a4j:commandButton>
                            <a4j:commandButton execute="@this"
                                               action="#{uiCreateProfile.reset}"
                                               value="#{msg.PROPERTY_MSG_CHANGE_PROFIL_RESET}"
                                               render="profileForm" />
                        </h:panelGrid>
                    </rich:panel>
                </div>
            </h:panelGroup>
        </h:form>
    </composite:implementation>

</html>